## analitza4 4.14.3

=== analitza/CMakeLists.txt ===
project(analitza)

add_subdirectory(tests)

set(analitza_SRCS
    expressionstream.cpp
	polynomial.cpp
	importqobjectmetatype.cpp
	builtinmethods.cpp
	providederivative.cpp
	abstractexpressiontransformer.cpp
	expression.cpp
	abstractexpressionvisitor.cpp
	stringexpressionwriter.cpp
	mathmlexpressionwriter.cpp
	mathmlpresentationexpressionwriter.cpp
	htmlexpressionwriter.cpp
	analyzer.cpp
	container.cpp
	operator.cpp
	operations.cpp
	variables.cpp
	object.cpp
	value.cpp
	variable.cpp
	vector.cpp
	list.cpp
	apply.cpp
	customobject.cpp
	matrix.cpp
	
	expressiontype.cpp
	expressiontypechecker.cpp
	
	expressiontable.cpp	#generated
	expressionparser.cpp	#   ''
	explexer.cpp
	abstractlexer.cpp
	mathmlpresentationlexer.cpp
	analitzautils.cpp
	substituteexpression.cpp
	transformation.cpp
	
	localize.cpp
)

kde4_add_library(analitza SHARED ${analitza_SRCS})
target_link_libraries(analitza ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} ${KDE4_KDECORE_LIBS})

set_target_properties(analitza PROPERTIES VERSION ${ANALITZA_LIB_VERSION} SOVERSION ${ANALITZA_LIB_SOVERSION} )

install(TARGETS analitza EXPORT AnalitzaTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES 
	abstractlexer.h
	analitzaexport.h
	analyzer.h
	analitzautils.h
	expression.h
	abstractexpressionvisitor.h
	object.h
	operations.h
	operator.h
	variable.h
	value.h
	variables.h
	vector.h
	apply.h
	list.h
	customobject.h
	container.h
	matrix.h
	expressiontype.h
	builtinmethods.h
	importqobjectmetatype.h
	expressionstream.h
	DESTINATION ${INCLUDE_INSTALL_DIR}/analitza/ COMPONENT Devel)

=== analitzagui/CMakeLists.txt ===
project(analitzagui)

add_subdirectory(tests)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

find_path(IEEEFP_DIR ieeefp.h)
if(IEEEFP_DIR)
    include_directories(${IEEEFP_DIR})
    add_definitions(-DHAVE_IEEEFP_H)
endif(IEEEFP_DIR)

set(analitzagui_SRCS
	operatorsmodel.cpp
	algebrahighlighter.cpp
	variablesmodel.cpp
	expressionedit.cpp
    plotsview2d.cpp
)
if(HAVE_OPENGL)
    list(APPEND analitzagui_SRCS plotsview3d.cpp)
endif(HAVE_OPENGL)

kde4_add_library(analitzagui SHARED ${analitzagui_SRCS})
target_link_libraries(analitzagui ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDEUI_LIBS} ${QT_QTSVG_LIBRARY} ${QT_QTOPENGL_LIBRARY} analitza analitzaplot)

set_target_properties(analitzagui PROPERTIES VERSION ${ANALITZA_LIB_VERSION} SOVERSION ${ANALITZA_LIB_SOVERSION} )

install(TARGETS analitzagui EXPORT AnalitzaTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
	algebrahighlighter.h
	analitzaguiexport.h
	operatorsmodel.h
	variablesmodel.h
	expressionedit.h
	plotsview2d.h

    DESTINATION ${INCLUDE_INSTALL_DIR}/analitzagui/ COMPONENT Devel
)

if(HAVE_OPENGL)
    install(FILES
        plotsview3d.h

        DESTINATION ${INCLUDE_INSTALL_DIR}/analitzagui/ COMPONENT Devel
    )
endif(HAVE_OPENGL)

=== analitzaplot/CMakeLists.txt ===
project(analitzaplot)

if(OPENGL_FOUND AND NOT OPENGL_GLU_FOUND)
    message(FATAL_ERROR "GLU was not found")
endif(OPENGL_FOUND AND NOT OPENGL_GLU_FOUND)

if(WIN32)
    find_package(GLEW REQUIRED)
    include_directories(${GLEW_INCLUDE_DIRS})
endif(WIN32)

find_path(IEEEFP_DIR ieeefp.h)
if(IEEEFP_DIR)
    include_directories(${IEEEFP_DIR})
    add_definitions(-DHAVE_IEEEFP_H)
endif(IEEEFP_DIR)

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}
)

if(OPENGL_FOUND)
 include_directories (
  ${OPENGL_INCLUDE_DIR}
 )
endif(OPENGL_FOUND)

set ( analitzaplot_SRCS
    private/utils/mathutils.cpp
    private/utils/quadtree.cpp
    private/utils/marchingsquares.cpp
    private/utils/marchingcubes.cpp

    private/abstractplotitem.cpp
    private/abstractfunctiongraph.cpp
    private/abstractplanecurve.cpp
    private/abstractspacecurve.cpp
    private/abstractsurface.cpp
    private/functiongraphfactory.cpp

    private/backends/cartesiansurface.cpp
    private/backends/implicitcurve.cpp
    private/backends/cartesiancurve.cpp
    private/backends/cylindricalsurface.cpp
    private/backends/parametriccurve2d.cpp
    private/backends/parametriccurve3d.cpp
    private/backends/parametricsurface.cpp
    private/backends/polarcurve.cpp
    private/backends/implicitpolarcurve.cpp
    private/backends/sphericalsurface.cpp
    private/backends/implicitsurface.cpp

    plotsfactory.cpp
    plotitem.cpp
    functiongraph.cpp
    planecurve.cpp
    spacecurve.cpp
    surface.cpp
    plotsmodel.cpp
    plotsdictionarymodel.cpp
    plotter2d.cpp
)
if(HAVE_OPENGL)
    list(APPEND analitzaplot_SRCS plotter3d.cpp)
endif(HAVE_OPENGL)

kde4_add_library( analitzaplot SHARED ${analitzaplot_SRCS} )
target_link_libraries ( analitzaplot
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${KDE4_KDECORE_LIBS}

  analitza
)

if(HAVE_OPENGL)
    target_link_libraries ( analitzaplot
        ${OPENGL_gl_LIBRARY}
        ${OPENGL_glu_LIBRARY}
    )
endif(HAVE_OPENGL)

if(WIN32)
    target_link_libraries(analitzaplot ${GLEW_LIBRARIES})
endif(WIN32)

set_target_properties(analitzaplot PROPERTIES VERSION ${ANALITZA_LIB_VERSION} SOVERSION ${ANALITZA_LIB_SOVERSION} )

install(TARGETS analitzaplot EXPORT AnalitzaTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    analitzaplotexport.h
    plotitem.h
    functiongraph.h
    planecurve.h
    spacecurve.h
    surface.h
    plotsmodel.h
    plotsdictionarymodel.h
    plotter2d.h
    plottingenums.h
    plotsfactory.h

    DESTINATION ${INCLUDE_INSTALL_DIR}/analitzaplot/ COMPONENT Devel
)

if(HAVE_OPENGL)
    install(FILES
        plotter3d.h DESTINATION ${INCLUDE_INSTALL_DIR}/analitzaplot/ COMPONENT Devel)
endif(HAVE_OPENGL)

add_subdirectory(data)
add_subdirectory(tests)
add_subdirectory(examples)

=== calgebra/CMakeLists.txt ===
include(CheckFunctionExists)
include(CMakePushCheckState)

include_directories(${READLINE_INCLUDE_DIR} ${CURSES_INCLUDE_DIR})

set(calgebra_SRCS
	main.cpp
)

# check if we have recent version of Readline
cmake_push_check_state(RESET)
set(CMAKE_REQUIRED_LIBRARIES ${READLINE_LIBRARY} ${CURSES_LIBRARIES})
check_function_exists(free_history_entry HAVE_FREE_HISTORY_ENTRY)
cmake_pop_check_state()
if(HAVE_FREE_HISTORY_ENTRY)
	add_definitions(-DHAVE_FREE_HISTORY_ENTRY)
endif()

kde4_add_executable(calgebra ${calgebra_SRCS})
target_link_libraries(calgebra ${QT_QTCORE_LIBRARY} ${READLINE_LIBRARY} ${CURSES_LIBRARIES} analitza)

install(TARGETS calgebra ${INSTALL_TARGETS_DEFAULT_ARGS})

=== analitzagui/tests/CMakeLists.txt ===
set(testLibs ${QT_QTXML_LIBRARY} ${QT_QTTEST_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} analitza analitzagui)

set( operatorsmodeltest_SRCS operatorsmodeltest.cpp)
kde4_add_unit_test(operatorsmodeltest ${operatorsmodeltest_SRCS})
target_link_libraries(operatorsmodeltest ${testLibs})

=== debian/changelog ===
analitza4 (4:4.14.3-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * Rename to analitza5 to co-exit with the kf5 version analitza6
  * All binary packages that did not have a version have a version now
  * Binary package for calgebra dropped, provided by the kf5 version of
    analitza

  [ Jonathan Riddell ]
  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Thu, 12 Feb 2015 15:46:45 +0100

analitza (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 02:28:21 -0700

analitza (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 16:18:48 +0200

analitza (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:24:39 +0200

analitza (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:01:04 +0200

analitza (4:4.13.95-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Rohan Garg ]
  * Update symbols for armhf

  [ Jonathan Riddell ]
  * Update symbols for new gcc

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:17:56 +0200

analitza (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Patch symbols file with build log.
  * Add ncurses build depend for calgebra

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 10:21:47 -0700

analitza (4:4.13.2-0ubuntu3) utopic; urgency=medium

  * Update debian/libanalitzaplot5abi1.symbols for armhf specific symbol
    differences

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Jun 2014 12:42:10 -0400

analitza (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Jun 2014 23:18:47 +0100

analitza (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:32:10 +0100

analitza (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes :
    - bump X-Debian-ABI of all libraries to 1 and
      rename packages

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 26 May 2014 16:35:59 +0200

analitza (4:4.13.1-2) UNRELEASED; urgency=medium

  * Update copyright information. (Closes: #749379)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 May 2014 09:35:48 +0200

analitza (4:4.13.1-1) experimental; urgency=medium

  * New upstream release.
  * Update install files.
  * Abi breakage, bump soversion, sync with kubuntu.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 May 2014 20:14:43 +0200

analitza (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:31:40 +0100

analitza (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:03:17 +0200

analitza (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:50:24 +0100

analitza (4:4.12.90-0ubuntu2) trusty; urgency=medium

  * Add a transitional package for libanalitzaplot5 -> libanalitzaplot5abi1 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Mar 2014 13:09:49 +0100

analitza (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Philip Muškovac ]
  * move shared plot files from libanalitzaplot5 to new analitza-common package
  * drop obsolete kalgebra-common.install file
  * update symbol files and, bump X-Debian-ABI of all libraries to 1 and
    rename packages

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:29:15 +0000

analitza (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:22:53 +0100

analitza (4:4.12.2-2) unstable; urgency=medium

  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:50 +0200

analitza (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Remove patch: analitzaplot-armhf, applid by upstream
  * Update install files.
  * Update symbols files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:09 +0100

analitza (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:31:49 +0000

analitza (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:52:30 +0000

analitza (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:18:34 +0000

analitza (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:24:43 +0000

analitza (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:36:20 +0100

analitza (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release
    - Update install files
    - Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:23:36 +0100

analitza (4:4.11.5-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Update descriptions, also fixing typos in them. (Closes: #729211)
  * Remove unused kalgebra-common.install.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Feb 2014 17:27:05 +0100

analitza (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Enable build failures on missing symbols.


=== debian/control ===
Source: analitza4
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.2),
               libqt4-opengl-dev,
               libncurses5-dev,
               libreadline-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza
X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/analitza.git
X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/analitza.git

Package: libanalitza5-dev
Architecture: any
Section: libdevel
Conflicts: kalgebra-dev
Depends: libanalitza5abi1 (= ${binary:Version}),
         libanalitzagui5abi1 (= ${binary:Version}),
         libanalitzaplot5abi1 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package contains the development files, used to build applications that
 use Analitza.
 .
 This package is part of the KDE education module.

Package: analitza4-common
Architecture: all
Depends: ${misc:Depends}
Replaces: libanalitzaplot4
Conflicts: libanalitzaplot4
Description: common files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package is part of the KDE education module.

Package: libanalitza5abi1
X-Debian-ABI: 1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Description: library to work with mathematical expressions
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: libanalitzagui5abi1
X-Debian-ABI: 1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Description: library to work with mathematical expressions - GUI routines
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to the graphical user interface.
 .
 This package is part of the KDE education module.

Package: libanalitzaplot5abi1
X-Debian-ABI: 1
Architecture: any
Depends: analitza4-common, ${misc:Depends}, ${shlibs:Depends}
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Description: library to work with mathematical expressions - plotting bits
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to plotting.
 .
 This package is part of the KDE education module.

Package: libanalitza5-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libanalitza5abi1 (= ${binary:Version}),
         libanalitzagui5abi1 (= ${binary:Version}),
         libanalitzaplot5abi1 (= ${binary:Version}),
         ${misc:Depends}
Breaks: kalgebra-dbg (<< 4:4.8), kdeedu-dbg (<< 4:4.6.80)
Replaces: kalgebra-dbg (<< 4:4.8), kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for Analitza
 This package contains debugging files used to investigate problems with
 libraries and binaries included in Analitza.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libanalitza5-dbg

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11
Restrictions: rw-build-tree

Tests: acc
Depends: @, @builddeps@,
         dh-acc, exuberant-ctags
